body {
    box-sizing: border-box;
    background: url(transport.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
}

:root {
    --blue: #0a59a9;
    --blue-: #063666;
    --gray: #cacaca;
    --gray-: #a3a3a3;
    --orange: #f87f23c9;
    --orange-: #954204c9;
    --white: #ffffff;
    --white-: #ffffff;
    --green: #2fa836;
    --green-: #207124;
}

/* color theme */
/* background */

.bg-blue {
    background-color: var(--blue);
}

.bg-gray {
    background-color: var(--gray);
}

.bg-orange {
    background-color: var(--orange);
}

.bg-white {
    background-color: var(--white);
}

.bg-green {
    background-color: var(--green);
}

/* text */

.text-blue {
    color: var(--blue);
}

.text-gray {
    color: var(--gray);
}

.text-orange {
    color: var(--orange);
}

.text-white {
    color: var(--white);
}

.text-green {
    color: var(--green);
}

/* border */

.border-blue {
    border: 1px solid var(--blue);
}

.border-gray {
    border: 1px solid var(--gray);
}

.border-orange {
    border: 1px solid var(--orange);
}

.border-white {
    border: 1px solid var(--white);
}

.border-green {
    border: 1px solid var(--green);
}

/* button */

.btn-blue {
    background-color: var(--blue);
    color: var(--light);
}

.btn-gray {
    background-color: var(--gray);
    color: var(--light);
}

.btn-orange {
    background-color: var(--orange);
    color: var(--light);
}

.btn-green {
    background-color: var(--green);
    color: var(--light);
}

/* button hover */

.btn-blue:hover {
    background-color: var(--blue-);
    color: var(--light);
}

.btn-gray:hover {
    background-color: var(--gray-);
    color: var(--light);
}

.btn-orange:hover {
    background-color: var(--orange-);
    color: var(--light);
}

.btn-green:hover {
    background-color: var(--green-);
    color: var(--light);
}

/* button outline */

.btn-outline-blue {
    border-color: var(--blue);
    background-color: transparent;
    color: var(--blue);
}

.btn-outline-gray {
    border-color: var(--gray);
    background-color: transparent;
    color: var(--gray);
}

.btn-outline-orange {
    border-color: var(--orange);
    background-color: transparent;
    color: var(--orange);
}

.btn-outline-green {
    border-color: var(--green);
    background-color: transparent;
    color: var(--green);
}

/* button outline hover */

.btn-outline-blue:hover {
    border-color: var(--blue);
    background-color: var(--blue);
    color: var(--light);
}

.btn-outline-gray:hover {
    border-color: var(--gray);
    background-color: var(--gray);
    color: var(--light);
}

.btn-outline-orange:hover {
    border-color: var(--orange);
    background-color: var(--orange);
    color: var(--light);
}

.btn-outline-green:hover {
    border-color: var(--green);
    background-color: var(--green);
    color: var(--light);
}

.display-4 {
    font-size: 3rem;
}

/* Lists */

ul.custom-list {
    list-style: none;
    margin-left: 0;
    padding-left: 1.2em;
    text-indent: -1.2em;
}

ul.custom-list li {
    margin-bottom: 0.5rem;
}

ul.custom-list li:before {
    content: "";
    display: block;
    float: left;
    width: 1.2rem;
    color: #aaa;
}

/* FORM */

label.required::after {
    content: " *";
    color: red;
}


.form-control,
.custom-select,
.custom-control-input {
    box-shadow: none;
    border-color: var(--blue);
    padding: 0.5rem 1rem;
}


input[type="date"],
.custom-select {
    padding: 0rem 1rem;
    height: 42px;
}


.form-control:focus,
.custom-select:focus,
.custom-control-input:focus {
    border-color: var(--blue) !important;
}


.custom-file-label {
    box-shadow: none !important;
    border-color: var(--blue);
    height: 40px;
}

/* NAVBAR */

.documentation {
    margin-top: 113px;
}

.navbar-toggler {
    border: none;
}

li a {
    text-decoration: none;
}

a {
    text-decoration: none;
}

.navbar-toggler .fa {
    font-size: 1.5rem;
}

.navbar-nav .nav-link {
    font-weight: 600;
    font-size: 0.95rem;
}

.navbar-nav li.nav-item>ul {
    position: absolute;
    list-style: none;
    padding: 0;
    display: none;
    z-index: 5;
}

.navbar-nav li.nav-item>ul.submenu-right {
    margin-left: -2rem;
}

.navbar-nav li.nav-item>ul li {
    background-color: #bbb;
    height: 3rem;
    line-height: 2rem;
    width: 10rem;
    border-bottom: 1px dashed gray;
}

.navbar-nav li.nav-item>ul li a {
    color: var(--blue-) !important;
    font-size: 0.9rem;
    font-weight: 600;
}

.navbar-nav li.nav-item:hover ul {
    display: block;
}

.navbar-nav li.nav-item>ul li>ul {
    position: absolute;
    list-style: none;
    padding: 0;
    margin-top: -2.5rem;
    left: 10rem;
}

.navbar-nav li.nav-item>ul li>ul li {
    background-color: #ddd;
    height: 3rem;
    width: 15rem;
    border-bottom: 1px dashed gray;
    display: none;
}

.navbar-nav li.nav-item>ul li:hover>ul li {
    display: inherit;
}

.navbar-nav .nav-link.menu-link-1:hover,
.navbar-nav .nav-link.menu-link-2:hover {
    background-color: #a3a3a3 !important;
}

.navbar .auth-menu .dropdown-menu {
    margin-left: -6rem;
    background-color: #ddd;
}

.navbar .aside-menu-toggle {
    display: none;
}

/* MAIN */


.main .aside-menu .list-group {
    margin-top: 5rem;
}

.main .aside-menu .list-group-item {
    border-radius: 0;
    background-color: var(--blue-);
    color: var(--light);
    font-weight: 600;
}

.main .aside-menu .list-group-item:hover {
    background-color: #3a5166;
}

.main .aside-menu .list-group-item.active {
    background-color: #223b53;
    color: var(--light);
    border-color: #031e3a;
}

.img-overlay {
    filter: brightness(85%);
    -webkit-filter: brightness(85%);
}

.table-div {
    width: 100%;
    overflow-x: auto;
}

.accordion .card-header button {
    text-decoration: none;
    box-shadow: none;
}

.card .card-header h3,
.card .card-header h4,
.card .card-header h5,
.card .card-header h6 {
    text-transform: uppercase;
}

/* inner banner*/

.inner-banner {
    position: absolute;
    top: 60%;
    width: 100%;
    text-align: center;
}

.inner-banner h1 {
    color: #fff;
    text-shadow: 1px 1px 20px #000;
}

.inner-banner .btn-custom {
    background-color: #033656;
    color: #fff;
}

.inner-banner .btn-custom:hover {
    background-color: #085eb5;
}


/* modal display */

.display-media-modal {
    background-color: rgba(0, 0, 0, 0.6);
}

.display-media-modal .modal-dialog {
    max-width: auto;
}

.display-media-modal .modal-content {
    border: none;
    background-color: transparent;
}

.display-media-modal .modal-header {
    padding: 1rem;
}

.display-media-modal .modal-header .close {
    color: var(--light);
}

.display-media-modal .modal-body {
    border: none;
    padding: 0;
    text-align: center;
}

.display-media-modal .modal-footer {
    display: none;
}

/* annoce slider */

.slider-zone {
    max-height: 2.5rem;
    overflow: hidden;
}

.slider-elements {
    position: relative;
    margin-top: 0rem;
}

.slider-element {
    line-height: 2.5rem;
}

/*Annonce*/

.annonce {
    position: absolute;
    top: 55%;
    left: 13%;
    font-size: 30px;
    text-transform: uppercase;
    color: #fff;
    text-shadow: 2px 2px 40px #000;
}

.annonce .btn {
    text-transform: none;
    padding: 7px;
}


/*Footer*/

.bg-footer {
    background-color: #0c2e50;
}

.footer h2 {
    color: #fff;
    text-align: center;
}

.formulaire {
    width: 100%;
    padding: 15px;
    display: block;
    margin: 0 auto;
}

.btn1 {
    background-color: #107fbb;
    color: #fff;
    font-size: 18px;
    width: 80%;
    border: none;
    height: 40px;
    border-radius: 5px;
}

.btn1:hover {
    background-color: #05172e;
}

.formulaire input {
    width: 80%;
    height: 40px;
    margin-bottom: 15px;
    border: none;
    border-radius: 5px;
}

textarea {
    width: 80%;
    height: 150px;
    border-radius: 5px;
    resize: none;
}

.footer p {
    color: #fff;
    text-align: center;
    padding: 3%;
}

.footer p a {
    text-decoration: none;
    color: #fff;
}

.clignote {
    border: none;
    animation: clignote .8s infinite;
    -webkit-animation: clignote .8s infinite;
}

.img-mod {
    width: 150px;
    height: 150px;
}

.img-slide {
    width: 100%;
    height: 490px;
}

.footerlink a:hover {
    color: yellow;
}

/* Modal */

.modalDialog {
    position: fixed;
    font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background: rgba(0, 0, 0, 0.8);
    z-index: 99999;
    opacity: 0;
    -webkit-transition: opacity 400ms ease-in;
    -moz-transition: opacity 400ms ease-in;
    transition: opacity 400ms ease-in;
    pointer-events: none;
}


.modalDialog:target {
    opacity: 1;
    pointer-events: auto;
}

.modalDialog>div {
    width: 900px;
    position: relative;
    margin: 10% auto;
    top: -100px;
    padding: 5px 20px 13px 20px;
    border-radius: 10px;
}

.close {
    /*background: #606061;*/
    background: red;
    border-radius: 20px;
    color: yellow;
    /*color: #FFFFFF;*/
    line-height: 25px;
    text-align: center;
    float: right;
    width: 112px;
    text-decoration: none;
    font-weight: bold;
    -webkit-border-radius: 12px;
    -moz-border-radius: 12px;
    border-radius: 12px;
    -moz-box-shadow: 1px 1px 3px #000;
    -webkit-box-shadow: 1px 1px 3px #000;
    box-shadow: 1px 1px 3px #000;
}

.actus {
    text-align: left;
    text-align: justify;
    font-size: 16px;
    font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
}


.affichage {
    /*width: 1080px;*/
    margin-top: -10px;
    width: 100% !important;
    height: auto;
    margin-left: 100px !important;
}

.new-btn {
    background-color: #f50808;
    color: #fff;
    margin-left: 60%;
    z-index: 9999;
    margin-top: 35%;
    position: fixed;
    border-radius: 20px;
    height: 20px;
    width: auto;
    /*background-color: #f50808; color: #fff; margin-left: 30%; z-index: 9999; margin-top: 100%; position: fixed; border-radius: 20px; height: 40px; width: auto;*/
}

.btn-close {
    height: 10px;
    width: 10px;
    border: 1px solid #ff1744;
    border-radius: 20px;
    padding: 10px;
    background-color: #ff1744;
    color: #fff;
    margin-top: -10px;
    position: fixed;
}

.img-slider {
    height: 100px !important;
    width: 100%;
    border: 3px solid red;
}

/*PROFILE*/

.line-color {
    border-left: 5px solid #ac340b;
    padding-left: 5px;
    font-style: normal;
    font-weight: bold;
    color: #0a59a9;
}

.title-h5 {
    border-left: 5px solid #ac340b;
    padding-left: 5px;
    font-style: normal;
    font-weight: bold;
    color: #0a59a9;
}

.fond-ecran {
    position: absolute;
    opacity: .05;
    top: 50%;
    width: 80%;
    left: 10%;
} 

@media screen and (max-width: 780px) {

    .img-logo {
        width: 20% !important;
        margin-top: 30px;
    }

    .btn-danger {
        font-size: 12px;
    }


    .btn-close {
        width: 10px;
        height: 10px;
        font-size: 10px;
    }

    .inner-banner h1 {
        font-size: 22px;
    }

    .inner-banner .btn-custom {
        height: 35px;
        width: 120px;
        font-size: 11px;
    } 

    .modalDialog {
        width: 100%;
       height: 100%;
    }

    .modalDialog .mod {
        margin-top: 20%;
    }
    .modalDialog li{
        font-size: 14px;
    }

    .nb {
        font-size: 12px;
    }

    .modalDialog img {
        width: 190px;
        height: 90px;
    }

    .btn-orange{
        font-size: 9px;

    }

    .btn-close {
        right: 46%;
    }

    .title-h5 {
        margin-top: 300px;
    }

    .img-thumbnail {
        position: absolute;
        top: 22%;
    }

    .fond-ecran {
        display: none;
    }

    .annonce {
        top: 40%;
    }
    
    .annonce p {
        font-size: 16px;
        text-transform: uppercase;
    }

    .annonce .btn {
        height: 30px;
        width: 100px;
        font-size: 12px;
        padding: 3px;
    }



}

@media screen and (max-width: 480px) {
    .annonce {
        top: 40%;
    }
    
    .annonce p {
        font-size: 10px;
        text-transform: uppercase;
    }

    .annonce .btn {
        height: 30px;
        width: 80px;
        font-size: 9px;
        padding: 5px;
    }

}

@keyframes clignote {

    /* 0%{background-color: #f5d313;} */
    50% {
        background-color: #88a508;
    }

    100% {
        background-color: #f51313;
    }
}

.back-to-top i {
    color: #fff;
    padding-top: 10px;
}

.back-to-top:hover {
    background: #000;
}

.back-to-top:hover i {
    color: blue;
}

.back-to-top {
    position: fixed;
    display: none;
    width: 44px;
    height: 44px;
    text-align: center;
    line-height: 1;
    font-size: 22px;
    right: 15px;
    bottom: 15px;
    transition: background 0.5s;
    z-index: 2;
}